LAT_UNIX(8)

NAME
lat_unix - measure interprocess communication latency through Unix sockets

SYNOPSIS
lat_unix

DESCRIPTION
lat_unix uses two processes communicating through a Unix socket to measure interprocess communication latencies. The benchmark passes a token back and forth between the two processes (this sort of benchmark is frequently referred to as a ``hot potato'' benchmark). No other work is done in the processes.

OUTPUT
The reported time is in microseconds per round trip and includes the total time, i.e., the context switching overhead is included. Output format is like so

AF_UNIX sock stream latency: 491 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), socketpair(2), read(2), write(2).